Package lxml :: Module etree :: Class RelaxNG |
[frames] | no frames]

# Class RelaxNG

    object --+
             |
    _Validator --+
                 |
                RelaxNG

RelaxNG(self, etree=None, file=None) Turn a document into a Relax NG validator.

Either pass a schema as Element or ElementTree, or pass a file or filename through the `file` keyword argument.

Instance Methods
__call__(self, etree) Validate doc using Relax NG. |
__init__(self, etree=None, file=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |
a new object with type S, a subtype of T |
__new__(T, S, ...) |
Inherited from `_Validator`: `assertValid`, `assert_`, `validate` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `_Validator`: `error_log` Inherited from `object`: `__class__`

Method Details

### __call__(self, etree) (Call operator) |
Validate doc using Relax NG. Returns true if document is valid, false if not.

### __init__(self, etree=None, file=None) (Constructor) |
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__

### __new__(T, S, ...) |
Returns: a new object with type S, a subtype of T Overrides: object.__new__